Summary:	Personal search and metasearch for the Free Desktop
Name:		pinot
Version:	0.83
Release:	%mkrel 2
Group:		File tools
License:	GPLv2+
URL:		http://pinot.berlios.de
Source0:	http://download2.berlios.de/pinot/%{name}-%{version}.tar.bz2
Patch0:		pinot-0.83-language-path.patch 
BuildRequires:	libsqlite3-devel
BuildRequires:	libxapian-devel >= 1.0.5
BuildRequires:	libtextcat-devel
BuildRequires:	libtaglib-devel
BuildRequires:	libcurl-devel
BuildRequires:	libgmime-devel
BuildRequires:	libboost-devel
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libxml++2.6-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	shared-mime-info
BuildRequires:	openssl-devel
Requires:	shared-mime-info
Requires:	unzip
Requires:	antiword
Requires:	unrtf
Requires:	poppler
Requires(post,postun):	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes, as well as a GTK-based user interface that enables to query
the index built by the service and your favourite Web engines, and display and
analyze the results.

%package deskbar
Summary:	Pinot plugin for deskbar applet
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
Requires:	deskbar-applet

%description deskbar
The included plugin enables Deskbar to search documents indexed by Pinot.

%prep
%setup -q 
%patch0 -p1

%build
%configure2_5x \
	--with-http=curl \
	--with-ssl=%{_libdir}

%make

%install
rm -rf %{buildroot}

%makeinstall_std

desktop-file-install \
	--remove-category="Core" \
	--remove-category="Network" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%config(noreplace) %{_sysconfdir}/%{name}/
%dir %{_datadir}/%{name}
%{_bindir}/%{name}*
%{_datadir}/%{name}/*
%{_libdir}/pinot/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/de.berlios.Pinot.service
%{_sysconfdir}/xdg/autostart/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}*

%files deskbar
%defattr(-,root,root)
%{_libdir}/deskbar-applet/*


%changelog
* Thu Mar 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.83-2mdv2008.1
+ Revision: 187480
- Patch0: fix languages path

* Fri Feb 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.83-1mdv2008.1
+ Revision: 176768
- new version

* Sun Feb 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.82-2mdv2008.1
+ Revision: 174373
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Sat Jan 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.82-1mdv2008.1
+ Revision: 158452
- new version

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.81-4mdv2008.1
+ Revision: 139594
- rebuild against xapain-core

* Tue Dec 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.81-3mdv2008.1
+ Revision: 131814
- tune up desktp file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.81-2mdv2008.1
+ Revision: 121336
- correct requires

* Mon Dec 17 2007 Olivier Blin <oblin@mandriva.com> 0.81-1mdv2008.1
+ Revision: 121071
- fix gtkmm2.4 BR for x86_64

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - adjust buildrequires
    - do not package COPYING file
    - fix group
    - spec file clean
    - new version
    - add support for the openssl
    - import pinot


